O problémových místech ve Firefoxu 1.5 informovaly jako první společnosti Secunia a FrSIRT (French Security Incident Response Team). Podle těchto firem šlo o "vysoce kritické", resp. "kritické" chyby.

Lidem, kteří používají Firefox 1.5, doporučuje Mozilla okamžitě stáhnout a nainstalovat aktualizace, nebo ještě lépe přestoupit na verzi Firefox 2.0.

Chyby ve Firefoxu 1.5, které již byly fixovány, mohly za občasné pády prohlížeče, kvůli nim bylo možné také získat neoprávněný přístup k soukromým datům uloženým v počítači, jenž pracoval s Firefoxem 1.5.

Mozilla bude Firefox 1.5 podporovat až do září příštího roku. To znamená, že ještě rok poté, co byl uveden Firefox 2.0, mohou uživatelé stahovat aktualizace pro starší 1.5.